GET
/api/v1/external/restaurantGet a page of restaurants by search text
🔒 Bearer Token
Query Parameters
searchstringSearch string for filtering restaurants by name and address
excludeIdsarrayList of restaurant IDs to exclude from results
pageablestringrequiredResponses
curl -X GET \
'http://dev-backend-1.guestme.space/api/v1/external/restaurant?pageable=value' \
-H 'Authorization: Bearer <token>'Response
{
"totalPages": 0,
"totalElements": 0,
"pageable": {
"unpaged": true,
"paged": true,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
}
},
"numberOfElements": 0,
"size": 0,
"content": [
{
"id": 0,
"name": "Gussi",
"status": "ACTIVE",
"description": "Gussi is a good restaurant",
"address": {
"country": null,
"countryCode": null,
"city": null,
"home": null,
"street": null,
"point": null
},
"info": {
"phone": null,
"site": null,
"telegram": null,
"vk": null,
"iikoUid": null,
"iikoCrmId": null,
"taxNumber": null
},
"properties": {
"phoneConfirmationEnabled": null,
"guestAcquisitionChannelEnabled": null
}
}
],
"number": 0,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
},
"first": true,
"last": true,
"empty": true
}